#
# even if hackery removes the __pervasive__ method you can still call a
# pristine method on an object 
#
  require 'pervasives'

  class VeryBlankSlate
    instance_methods.each{ |m| undef_method m }
  end

  vbs = VeryBlankSlate.new

  begin
    vbs.__pervasive__
  rescue
    'nope not even that'
  end

  Pervasives.call(vbs, :instance_eval){ @a = 42 }

  p Pervasives.call(vbs, :instance_variables) #=> ["@a"]
